//linda.zhen (Fab Academy 2021 - Dassault)
//May 11, 2021

import processing.serial.*;

Serial myPort;  // The serial port

float angle;
float jitter;              
float int_acc;     

void setup() {
  size(640, 360);
  noStroke();
  fill(255);
  rectMode(CENTER);

  myPort = new Serial(this,"/dev/cu.usbserial-AB0KOZ6G", 9600); //declare serial port
  myPort.bufferUntil('\n'); // don't generate a serialEvent() unless you get a newline character:

}

void draw() { 
   background(71);

  // during even-numbered seconds (0, 2, 4, 6...)
  if (second() % 2 == 0) {  
    jitter = random(-0.2, 0.2);
  }
  angle = angle + jitter;
  float c = cos(angle);
  translate(width/2, height/2);
  rotate(c);
  rect(0, 0, 180, 180);   
}


// read serial information
void serialEvent(Serial myPort) {    
  String inString = myPort.readStringUntil('\n');
  if (inString != null) {
    inString = trim(inString);
    float[] values = float(split(inString, ","));
    if (values.length >=1) {
      int_acc = values[0];
    }
  }
}
